# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      read_json.py
# Author:       toast
# Datetime:     2024/9/7 上午10:55
# Description:
# 
# ---------------------------------------------------------------------------
import json

from self_copy.apiAutoTest_v3 import log


def read_json(file_path):
    if isinstance(file_path, str):
        try:
            with open(file_path,mode="r",encoding="utf-8") as f:
                return json.load(f)
        except Exception as e:
            log.error(f"读取json文件失败，传入的文件路径为：{file_path}-可能文件路径不存在/数据格式错误，错误为：{e}")
            raise e
    else:
        log.error(f"执行read_json方法失败，传入的文件路径：{file_path}-不为字符串")
        raise ValueError("传入文件路径必须为字符串")